ConnectionHTTP (scheduler-portlet 2.0.1-SNAPSHOT API)
Date: 2013-10-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.portlets.user.server.workers
Class ConnectionHTTP

    java.lang.Object
      org.gcube.datatransfer.portlets.user.server.workers.ConnectionHTTP

    public class ConnectionHTTP

extends Object

Field Summary
`int` | `autoId`
`HttpURLConnection` | `connection`
`String` | `password`
`BufferedReader` | `rd`
`StringBuilder` | `sb`
`String` | `specificPath`
`String` | `usedURL`
`String` | `username`

Constructor Summary
`ConnectionHTTP(String url, String specificFolder, String user, String pass)`

Method Summary
`void` | `disconnect()`
`List<String>` | `getErrors()`
`String` | `handleHrefLink(String href, String text)`
`FolderDto` | `makeFolder(String name)`
`void` | `printFolder(FolderDto folder, int indent)`
`FolderDto` | `process()`
`List<String>` | `removeDuplicates(List<String> list)`
`List<String>` | `retrieveListing(String HtmlText)`
`void` | `setErrors(List<String> errors)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### autoId

    public int autoId

### usedURL

    public String usedURL

### username

    public String username

### password

    public String password

### specificPath

    public String specificPath

### connection

    public HttpURLConnection connection

### rd

    public BufferedReader rd

### sb

    public StringBuilder sb

Constructor Detail

### ConnectionHTTP

    public ConnectionHTTP(String url,
                          String specificFolder,
                          String user,
                          String pass)

Method Detail

### process

    public FolderDto process()

### disconnect

    public void disconnect()

### retrieveListing

    public List<String> retrieveListing(String HtmlText)

### removeDuplicates

    public List<String> removeDuplicates(List<String> list)

### handleHrefLink

    public String handleHrefLink(String href,
                                 String text)

### printFolder

    public void printFolder(FolderDto folder,
                            int indent)

### makeFolder

    public FolderDto makeFolder(String name)

### getErrors

    public List<String> getErrors()

### setErrors

    public void setErrors(List<String> errors)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.